Bug 363 - error checking on creation of unix socket fixup
Summary: error checking on creation of unix socket fixup
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/General (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Egbert Eich
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 213
  Show dependency treegraph
 
Reported: 2004-03-22 18:06 UTC by Jeremy Katz
Modified: 2004-03-23 15:32 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
fix (475 bytes, patch)
2004-03-22 18:07 UTC, Jeremy Katz
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Katz 2004-03-22 18:06:55 UTC
The error checking on the creation of the unix socket ends up mistakenly
classing all errors as EADDRINUSE.  Looks to just be a merge artifact.  Trivial
patch attached.

(http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=118950)
Comment 1 Jeremy Katz 2004-03-22 18:07:34 UTC
Created attachment 164 [details] [review]
fix
Comment 2 Egbert Eich 2004-03-24 10:32:23 UTC
Fixed in the XORG-RELEASE-1 branch.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.